Skip to content
Proud to collaborate with Microsoft for Startups

docusign.power-forms.post-power-form ​

This method creates a new PowerForm. You create a PowerForm from an existing Docusign template, based on the templateId in the request body. PowerForms that you create from a template are referred to as web PowerForms. Note: The Docusign Admin console also supports creating a PowerForm by uploading a PDF file that has active form fields (referred to as a PDF PowerForm). However, PDF PowerForms are deprecated and are not supported in the API. Note: A PowerForm can have only one sender. (Because PowerForms are not necessarily sent by email, this user is also referred to as the PowerForm initiator.) If you need to associate multiple senders with a PowerForm, create multiple copies of the PowerForm by using the same template (one copy for each sender). By default, the sender is the PowerForm Administrator who creates the PowerForm. ### Signing modes You can use one of the following signing modes for a PowerForm: email This mode verifies the recipient's identity by using email authentication before the recipient can sign a document. The recipient enters their email address on the landing page and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code to the recipient. If the recipient does not provide a valid email address, they do not receive the email message containing the access code and are not able to open and sign the document. Alternatively, you can make the process easier for signers by using email authentication only and omitting the access code. To do this, you append the activateonly flag to the PowerForm URL and set it to true by passing in the value 1. When the flag is active, the first recipient receives an email with a link that initiates the signing session without having to enter access code. Example: activateonly=1 direct This mode does not require any verification. After a recipient enters their email address on the landing page and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process. Because the direct signing mode does not verify the recipient's identity by using email authentication, we strongly recommend that you use this mode only when the PowerForm is accessible behind a secure portal where the recipient's identity is already authenticated, or where another form of authentication is specified for the recipient in the Docusign template (for example, an access code, phone authentication, or ID check). Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode. ### Redirect URLs You can control the URL to which signers are redirected after signing your PowerForm. However, the URL is specified elsewhere, outside of the PowerForm creation process. For details, see How do I specify a URL to redirect to when a PowerForm is completed?. ### More information For more information about creating PowerForms, see Create a PowerForm.

Creates a new PowerForm

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
createdbystringNo—The ID of the user who created the PowerForm.
createddatetimestringNo—The UTC DateTime when the item was created.
emailbodystringNo—The body of the email message sent to the recipients. Maximum length: 10000 characters.
emailsubjectstringNo—The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see Template Email Subject Merge Fields. Note: The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters.
envelopeslistNo——
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
instructionsstringNo—The instructions that display on the landing page for the first recipient. These instructions are important if the recipient accesses the PowerForm by a method other than email. If instructions are entered, they display as an introduction after the recipient accesses the PowerForm. Limit: 2000 characters.
isactivestringNo—When true, indicates that the PowerForm is active and can be sent to recipients. This is the default value. When false, the PowerForm cannot be emailed or accessed by a recipient, even if they arrive at the PowerForm URL. If a recipient attempts to sign an inactive PowerForm, an error message informs the recipient that the document is not active and suggests that they contact the sender.
lastusedstringNo—The UTC DateTime when the PowerForm was last used.
limituseintervalstringNo—The length of time before the same recipient can sign the same PowerForm. This property is used in combination with the limitUseIntervalUnits property.
limituseintervalenabledstringNo—When true, the limitUseInterval is enabled.
limituseintervalunitsstringNo—The units associated with the limitUseInterval. Valid values are: - minutes - hours - days-weeks-monthsFor example, to limit a recipient to signing once per year, set thelimitUseIntervalto 365 and thelimitUseIntervalUnitstodays`.
maxuseenabledstringNo—When true, you can set a maximum number of uses for the PowerForm.
namestringNo—The name of the PowerForm.
powerformidstringNo—The ID of the PowerForm.
powerformurlstringNo—The URL for the PowerForm.
recipientslistNo—An array of recipient objects that provides details about the recipients of the envelope.
sendernamestringNo—The sender's name.
senderuseridstringNo—The ID of the sender.
signingmodestringNo—The signing mode to use. Valid values are: - email: Verifies the recipient's identity using email authentication before the recipient can sign a document. The recipient enters their email address and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code for the PowerForm to the recipient. If the recipient does not provide a valid email address, they cannot open and sign the document. - direct: Does not require any verification. After a recipient enters their email address and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process. Because the recipient's identity is not verified by using email authentication, we strongly recommend that you only use the direct signing mode when the PowerForm is accessible behind a secure portal where the recipient's identity is already authenticated, or where another form of authentication is specified for the recipient in the Docusign template (for example, an access code, phone authentication, or ID check). Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode.
templateidstringNo—The ID of the template used to create the PowerForm.
templatenamestringNo—The name of the template used to create the PowerForm.
timesusedstringNo—The number of times the PowerForm has been used.
uristringNo—The URI for the PowerForm.
usesremainingstringNo—The number of times the PowerForm can still be used.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
createdbystringNo—The ID of the user who created the PowerForm.
createddatetimestringNo—The UTC DateTime when the item was created.
emailbodystringNo—The body of the email message sent to the recipients. Maximum length: 10000 characters.
emailsubjectstringNo—The subject line of the email message that is sent to all recipients. For information about adding merge field information to the email subject, see Template Email Subject Merge Fields. Note: The subject line is limited to 100 characters, including any merged fields.It is not truncated. It is an error if the text is longer than 100 characters.
envelopeslistNo——
errordetailsjsonNo—This object describes errors that occur. It is only valid for responses and ignored in requests.
instructionsstringNo—The instructions that display on the landing page for the first recipient. These instructions are important if the recipient accesses the PowerForm by a method other than email. If instructions are entered, they display as an introduction after the recipient accesses the PowerForm. Limit: 2000 characters.
isactivestringNo—When true, indicates that the PowerForm is active and can be sent to recipients. This is the default value. When false, the PowerForm cannot be emailed or accessed by a recipient, even if they arrive at the PowerForm URL. If a recipient attempts to sign an inactive PowerForm, an error message informs the recipient that the document is not active and suggests that they contact the sender.
lastusedstringNo—The UTC DateTime when the PowerForm was last used.
limituseintervalstringNo—The length of time before the same recipient can sign the same PowerForm. This property is used in combination with the limitUseIntervalUnits property.
limituseintervalenabledstringNo—When true, the limitUseInterval is enabled.
limituseintervalunitsstringNo—The units associated with the limitUseInterval. Valid values are: - minutes - hours - days-weeks-monthsFor example, to limit a recipient to signing once per year, set thelimitUseIntervalto 365 and thelimitUseIntervalUnitstodays`.
maxuseenabledstringNo—When true, you can set a maximum number of uses for the PowerForm.
namestringNo—The name of the PowerForm.
powerformidstringNo—The ID of the PowerForm.
powerformurlstringNo—The URL for the PowerForm.
recipientslistNo—An array of recipient objects that provides details about the recipients of the envelope.
sendernamestringNo—The sender's name.
senderuseridstringNo—The ID of the sender.
signingmodestringNo—The signing mode to use. Valid values are: - email: Verifies the recipient's identity using email authentication before the recipient can sign a document. The recipient enters their email address and then clicks Begin Signing to begin the signing process. The system then sends an email message with a validation code for the PowerForm to the recipient. If the recipient does not provide a valid email address, they cannot open and sign the document. - direct: Does not require any verification. After a recipient enters their email address and clicks Begin Signing, a new browser tab opens and the recipient can immediately begin the signing process. Because the recipient's identity is not verified by using email authentication, we strongly recommend that you only use the direct signing mode when the PowerForm is accessible behind a secure portal where the recipient's identity is already authenticated, or where another form of authentication is specified for the recipient in the Docusign template (for example, an access code, phone authentication, or ID check). Note: In the account settings, enablePowerFormDirect must be true to use direct as the signingMode.
templateidstringNo—The ID of the template used to create the PowerForm.
templatenamestringNo—The name of the template used to create the PowerForm.
timesusedstringNo—The number of times the PowerForm has been used.
uristringNo—The URI for the PowerForm.
usesremainingstringNo—The number of times the PowerForm can still be used.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call POST /v2.1/accounts/{accountId}/powerforms
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform POST /v2.1/accounts/{accountId}/powerforms
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.power-forms.post-power-form",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}